using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class Default : System.Web.UI.Page
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.HeaderContextMenu.ItemCreated += new RadMenuEventHandler(HeaderContextMenu_ItemCreated);
        RadGrid1.HeaderContextMenu.ItemClick += new RadMenuEventHandler(HeaderContextMenu_ItemClick);
        RadGrid1.HeaderContextMenu.ItemDataBound += new RadMenuEventHandler(HeaderContextMenu_ItemDataBound);
    }

    void HeaderContextMenu_ItemDataBound(object sender, RadMenuEventArgs e)
    {

    }

    void HeaderContextMenu_ItemClick(object sender, RadMenuEventArgs e)
    {

    }

    void HeaderContextMenu_ItemCreated(object sender, RadMenuEventArgs e)
    {
        foreach (Control c in e.Item.Controls)
        {
            RadComboBox combo = c as RadComboBox;
            if (combo != null)
            {
                combo.OnClientDropDownOpening = "function(){DropDownOpening('" + combo.ClientID + "')}";
            }
        }
    }
}
